Debian Bug report logs - #563344
RM: povray -- 3.7 unredistributable

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Nicolás Alvarez <nicolas.alvarez@gmail.com>

Date: Sat, 2 Jan 2010 06:27:02 UTC

Severity: serious

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, nicolas.alvarez@gmail.com, Clément Stenac <zorglub@debian.org>:
Bug#563344; Package povray. (Sat, 02 Jan 2010 06:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolás Alvarez <nicolas.alvarez@gmail.com>:
New Bug report received and forwarded. Copy sent to nicolas.alvarez@gmail.com, Clément Stenac <zorglub@debian.org>. (Sat, 02 Jan 2010 06:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolás Alvarez <nicolas.alvarez@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: povray: POV-Ray 3.7 beta unredistributable
Date: Sat, 02 Jan 2010 03:24:59 -0300
Package: povray
Version: 1:3.7.0~beta29-1
Severity: serious
Justification: Policy 2.3


Today I found that POV-Ray 3.7 is packaged in experimental:
http://packages.debian.org/experimental/povray

It's also patched to disable the beta expiration:
http://patch-tracker.debian.org/patch/series/view/povray/1:3.7.0~beta29-1/80_beta.diff

This seems to violate the beta license in *every possible way*.

POV-Ray 3.7 betas are released under the normal POV-Ray license (which is
non-free according to DFSG) *plus four significant restrictions* not present
in final releases:

 * NOTICE
 *
 * This file is part of a BETA-TEST version of POV-Ray version 3.7. It is not
 * final code. Use of this source file is governed by both the standard POV-Ray
 * licences referred to in the copyright header block above this notice, and the
 * following additional restrictions numbered 1 through 4 below:
 *
 *   1. This source file may not be re-distributed without the written permission
 *      of Persistence of Vision Raytracer Pty. Ltd.
 *
 *   2. This notice may not be altered or removed.
 *   
 *   3. Binaries generated from this source file by individuals for their own
 *      personal use may not be re-distributed without the written permission
 *      of Persistence of Vision Raytracer Pty. Ltd. Such personal-use binaries
 *      are not required to have a timeout, and thus permission is granted in
 *      these circumstances only to disable the timeout code contained within
 *      the beta software.
 *   
 *   4. Binaries generated from this source file for use within an organizational
 *      unit (such as, but not limited to, a company or university) may not be
 *      distributed beyond the local organizational unit in which they were made,
 *      unless written permission is obtained from Persistence of Vision Raytracer
 *      Pty. Ltd. Additionally, the timeout code implemented within the beta may
 *      not be disabled or otherwise bypassed in any manner.

(taken from one of the source files from the upstream source tarball)

The Debian package is redistributing entire source code of POV-Ray 3.7, available
through packages.debian.org website and "apt-get source -texperimental povray".
This violates clause 1.

The extra license restrictions for 3.7 betas are not mentioned in any file
in /usr/share/doc/povray, which *I think* may violate clause 2.

The Debian package has a patch disabling the beta timeout code, which is
only allowed for personal use (according to clause 3), not for wider
distribution.

In addition, I don't think a Linux distribution counts as an "organizational
unit" as mentioned in clause 4; therefore *Debian isn't allowed to
redistribute 3.7 betas at all*.

(If you don't agree with my reading of "organizational unit", the rest still
stands, such that 3.7~beta on debian would have to be binary-only and
keeping the expiration code unmodified.)

As I was told in debian-legal: If the maintainer for the povray package
requested and got a written permission from Persistence of Vision Raytracer
Pty. Ltd to avoid any of the four restrictions, it has to be mentioned in
the copyright file. Otherwise, the package should be removed from Debian
until the final release of 3.7 is available under the usual terms of the
POV-Ray license.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=es_AR.UTF-8, LC_CTYPE=es_AR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Clément Stenac <zorglub@debian.org>:
Bug#563344; Package povray. (Tue, 05 Jan 2010 03:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolás Alvarez <nicolas.alvarez@gmail.com>:
Extra info received and forwarded to list. Copy sent to Clément Stenac <zorglub@debian.org>. (Tue, 05 Jan 2010 03:48:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Nicolás Alvarez <nicolas.alvarez@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#563344: povray: POV-Ray 3.7 beta unredistributable
Date: Tue, 5 Jan 2010 00:45:28 -0300
Chris Cason (main POV-Ray developer) posted a vague reply on povray.beta-test:
> If they follow the source modification instructions on the source download
> page then I'd probably be OK with it.

I answered asking for clarification. (what instructions? OK with what exactly
(binary redist, source code redist, expiration disabling)?)




Information forwarded to debian-bugs-dist@lists.debian.org, Clément Stenac <zorglub@debian.org>:
Bug#563344; Package povray. (Tue, 05 Jan 2010 03:48:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolás Alvarez <nicolas.alvarez@gmail.com>:
Extra info received and forwarded to list. Copy sent to Clément Stenac <zorglub@debian.org>. (Tue, 05 Jan 2010 03:48:11 GMT) Full text and rfc822 format available.

Message #15 received at 563344@bugs.debian.org (full text, mbox):

From: Nicolás Alvarez <nicolas.alvarez@gmail.com>
To: 563344@bugs.debian.org
Subject: Re: Bug#563344: povray: POV-Ray 3.7 beta unredistributable
Date: Tue, 5 Jan 2010 00:47:50 -0300
Chris Cason (main POV-Ray developer) posted a vague reply on povray.beta-test:
 > If they follow the source modification instructions on the source download
 > page then I'd probably be OK with it.

 I answered asking for clarification. (what instructions? OK with what exactly
 (binary redist, source code redist, expiration disabling)?)




Information forwarded to debian-bugs-dist@lists.debian.org, Clément Stenac <zorglub@debian.org>:
Bug#563344; Package povray. (Thu, 07 Jan 2010 17:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolás Alvarez <nicolas.alvarez@gmail.com>:
Extra info received and forwarded to list. Copy sent to Clément Stenac <zorglub@debian.org>. (Thu, 07 Jan 2010 17:18:06 GMT) Full text and rfc822 format available.

Message #20 received at 563344@bugs.debian.org (full text, mbox):

From: Nicolás Alvarez <nicolas.alvarez@gmail.com>
To: control <control@bugs.debian.org>, 563344@bugs.debian.org
Date: Thu, 7 Jan 2010 14:13:53 -0300
reassign 563344 ftp.debian.org
retitle 563344 RM: povray -- 3.7 unredistributable
thanks

@FTP masters: The version of POV-Ray available in experimental is
unredistributable, as I explained in my original bug report and in
debian-legal, and should be removed. However only that version should
be removed. The povray package in unstable (3.6) is OK.

The maintainer didn't seem reply to the bug report after 5 days.
However I was then told the package actually doesn't even have a
maintainer (orphaned in #515431).

-- 
Nicolas




Bug reassigned from package 'povray' to 'ftp.debian.org'. Request was from Nicolás Alvarez <nicolas.alvarez@gmail.com> to control@bugs.debian.org. (Thu, 07 Jan 2010 17:18:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions povray/1:3.7.0~beta29-1. Request was from Nicolás Alvarez <nicolas.alvarez@gmail.com> to control@bugs.debian.org. (Thu, 07 Jan 2010 17:18:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: povray -- 3.7 unredistributable' from 'povray: POV-Ray 3.7 beta unredistributable' Request was from Nicolás Alvarez <nicolas.alvarez@gmail.com> to control@bugs.debian.org. (Thu, 07 Jan 2010 17:18:09 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Thu, 07 Jan 2010 18:15:05 GMT) Full text and rfc822 format available.

Notification sent to Nicolás Alvarez <nicolas.alvarez@gmail.com>:
Bug acknowledged by developer. (Thu, 07 Jan 2010 18:15:05 GMT) Full text and rfc822 format available.

Message #31 received at 563344-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 563344-close@bugs.debian.org
Cc: povray@packages.debian.org, povray@packages.qa.debian.org
Subject: Bug#563344: Removed package(s) from experimental
Date: Thu, 07 Jan 2010 18:11:53 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from experimental:

    povray | 1:3.7.0~beta29-1 | source, i386
povray-doc | 1:3.7.0~beta29-1 | all
povray-examples | 1:3.7.0~beta29-1 | all
povray-includes | 1:3.7.0~beta29-1 | all

------------------- Reason -------------------
3.7 unredistributable
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 563344@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/563344

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Torsten Werner (the ftpmaster behind the curtain)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#563344; Package ftp.debian.org. (Wed, 13 Jan 2010 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolás Alvarez <nicolas.alvarez@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 13 Jan 2010 01:03:03 GMT) Full text and rfc822 format available.

Message #36 received at 563344@bugs.debian.org (full text, mbox):

From: Nicolás Alvarez <nicolas.alvarez@gmail.com>
To: 563344 <563344@bugs.debian.org>
Date: Tue, 12 Jan 2010 22:01:42 -0300
There are still 3.7 versions of povray-doc, povray-examples, and
povray-includes, which are (were) built by the same source package.

http://packages.debian.org/experimental/povray-includes says
"Download Source Package : Not found"

They should be removed from experimental as well.

-- 
Nicolas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#563344; Package ftp.debian.org. (Wed, 13 Jan 2010 08:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <email@twerner42.de>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 13 Jan 2010 08:42:04 GMT) Full text and rfc822 format available.

Message #41 received at 563344@bugs.debian.org (full text, mbox):

From: Torsten Werner <email@twerner42.de>
To: Nicolás Alvarez <nicolas.alvarez@gmail.com>, 563344@bugs.debian.org
Subject: Re: Bug#563344:
Date: Wed, 13 Jan 2010 09:39:32 +0100
Nicolás Alvarez schrieb:
> http://packages.debian.org/experimental/povray-includes says

The package is no longer in the archive and has been removed from the
mirrors, too. The web page seems to be outdated.

Viele Grüße,
Torsten




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 11 Feb 2010 07:30:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:58:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.